#!/bin/sh
# Fetch the current default setting for new view's "builds
# shareable DO's" boolean property.  Prints "yes" to stdout
# if the property is TRUE, else "no".
#

myname=`basename $0`
usage () {
    echo "
Usage:  $myname
Returns the default for new views' -shareable_dos/-nshareable_dos
setting, if not specified to mkview.
"
}

if [ "$1" != "" ]; then
    usage
fi

shareable_dos_default=`cleartool lssite view_shareable_dos 2>/dev/null`
if echo "$shareable_dos_default" | grep 'TRUE' >/dev/null 2>&1; then
    echo "yes"
else
    echo "no"
fi
